package com.ruoyi.zdsz.service;

import com.ruoyi.common.core.domain.PageQuery;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.zdsz.domain.bo.ZEnginNotInstalledBo;
import com.ruoyi.zdsz.domain.vo.GExportsVo;
import com.ruoyi.zdsz.domain.vo.GImportVo;
import com.ruoyi.zdsz.domain.vo.ZEnginNotInstalledVo;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * 小区管理Service接口
 *
 * @author ruoyi
 * @date 2023-12-27
 */
public interface IZEnginNotInstalledService {

    /**
     * 查询小区管理
     */
    ZEnginNotInstalledVo queryById(String id);

    /**
     * 查询小区管理列表
     */
    TableDataInfo<ZEnginNotInstalledVo> queryPageList(ZEnginNotInstalledBo bo, PageQuery pageQuery);

    /**
     * 查询小区管理列表
     */
    List<ZEnginNotInstalledVo> queryList(ZEnginNotInstalledBo bo);

    /**
     * 新增小区管理
     */
    Boolean insertByBo(ZEnginNotInstalledBo bo);

    /**
     * 修改小区管理
     */
    Boolean updateByBo(ZEnginNotInstalledBo bo);

    /**
     * 校验并批量删除小区管理信息
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);

}
